Recovers archived product against the given Id only if the product is still available in the trash.
1 min
POST
https://api.upstartcommerce.com/pim/products/{id}/recover
Responses
200
- object
Response Headers
- Allow
- Cache-Control
- Content-Type
- ETag
- Location
curl
curl --request POST \
--url https://api.upstartcommerce.com/pim/products/{id}/recover \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'POST',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/pim/products/{id}/recover", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/pim/products/{id}/recover")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/pim/products/{id}/recover"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Product successfully recovered against the Id provided. Normally the body is an empty object. When one or more variants were linked or delinked while in ARCHIVED state as part of the recovery, the body is instead a partial-response structure (name, code, totalEntries, successful, failed, detail[] with a per-variant message, reason) reporting each such variant and whether it was linked to / delinked from the product in ARCHIVED state. The recovery itself still succeeds and no link is broken.
{}